- Timestamp:
- Feb 11, 2025, 11:53:22 PM (42 hours ago)
- File:
-
- 1 edited
Legend:
- Unmodified
- Added
- Removed
-
BOL/LMDZ_Setup/setup.sh
r5465 r5534 4 4 5 5 set -eu 6 set -vx 6 7 7 8 #--------------------------------------------------------------------------- … … 277 278 jobcmd="bash" 278 279 fi 279 echo "./install_lmdz.sh -noclean $optim -v $version $svnopt -d $resol -rad $rad -bench 0$parallel $ins_cosp $ins_xios $ins_aero $ins_inlandsis -name $LMDZname -veget $veget -netcdf $netcdf -arch $ARCH -make_j $make_j -jobcmd $jobcmd" >> install_lmdz_options.$$.sh280 echo "./install_lmdz.sh -noclean $optim -v $version $svnopt -d $resol -rad $rad -bench compile_only $parallel $ins_cosp $ins_xios $ins_aero $ins_inlandsis -name $LMDZname -veget $veget -netcdf $netcdf -arch $ARCH -make_j $make_j -jobcmd $jobcmd" >> install_lmdz_options.$$.sh 280 281 chmod +x install_lmdz_options.$$.sh 281 282 echo "Running install_lmdz_options.$$.sh" 282 283 set -o pipefail 283 gcm=$MODEL/$(./install_lmdz_options.$$.sh | tee /dev/tty | tail -n 1 | sed -n "s:.* executable is \(.*\.e\).*:\1:p") 284 ./install_lmdz_options.$$.sh 285 #gcm=$MODEL/$(./install_lmdz_options.$$.sh | tee /dev/tty | tail -n 1 | sed -n "s:.* executable is \(.*\.e\).*:\1:p") 286 gcm=$MODEL/bin/gcm.e 284 287 set +o pipefail 285 288 mv install_lmdz.sh install_lmdz.$$.sh … … 417 420 # Compile ce0l 418 421 cd "$MODEL" 419 sed -e 's/gcm $/ce0l/' compile.sh > compile_ce0l.sh; chmod +x compile_ce0l.sh422 sed -e 's/gcm/ce0l/g' compile.sh > compile_ce0l.sh; chmod +x compile_ce0l.sh 420 423 echo "Compiling ce0l" 421 424 if ! ./compile_ce0l.sh &> ce0l.log; then echo "STOP: ce0l compilation failed, see $MODEL/ce0l.log"; exit 1; fi
Note: See TracChangeset
for help on using the changeset viewer.